Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchAnalysis extends MatchApproximation
  Definition Classes
    patmat
-  trait MatchAnalyzer extends MatchApproximator
  Definition Classes
    MatchAnalysis
- AbsCodegen
- AbsVar
- AlternativesTreeMaker
- AnalysisBudget
- And
- AtMostOne
- BodyTreeMaker
- Casegen
- CommonCodegen
- CondTreeMaker
- Const
- ConstructorExample
- CounterExample
- EmptySubstitution
- Eq
- EqualityTestTreeMaker
- ExtractorTreeMaker
- False
- FunTreeMaker
- GuardTreeMaker
- IrrefutableExtractorTreeMaker
- ListExample
- NegativeExample
- NoExample
- NoNewBinders
- Not
- NullConst
- Or
- PreserveSubPatBinders
- ProductExtractorTreeMaker
- Prop
- PropMap
- PropTraverser
- Solution
- Solvable
- SubstOnlyTreeMaker
- Substitution
- Sym
- Test
- TreeMaker
- TreeMakersToProps
- TreeMakersToPropsIgnoreNullChecks
- TrivialTreeMaker
- True
- TupleExample
- TypeConst
- TypeConstExtractor
- TypeExample
- TypeTestTreeMaker
- ValueConst
- ValueConstExtractor
- ValueExample
- Var
- VarExtractor
- WildcardExample

o

scala.tools.nsc.transform.patmat.MatchAnalysis.MatchAnalyzer

# WildcardExample 

###

#### object WildcardExample extends CounterExample with Product with Serializable

Source
  MatchAnalysis.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, CounterExample, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WildcardExample
2. Serializable
3. Serializable
4. Product
5. Equals
6. CounterExample
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  def coveredBy(other: CounterExample): Boolean
   Definition Classes
     CounterExample
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  def flattenConsArgs: List[CounterExample]
    Attributes
      protected[scala.tools.nsc.transform.patmat.MatchAnalysis.MatchAnalyzer]
    Definition Classes
      CounterExample
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      WildcardExample → AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CounterExample

### Inherited from AnyRef

### Inherited from Any

### Ungrouped